Bug 661180 - perf needs newt headers
Summary: perf needs newt headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 02:16 UTC by Curtis Doty
Modified: 2010-12-22 19:53 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.35.10-72.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 19:53:12 UTC


Attachments (Terms of Use)

Description Curtis Doty 2010-12-08 02:16:31 UTC
It appears building perf can produce non-deterministic results depending upon whether one has newt-devel installed or not.

+ make -j12 -C tools/perf -s V=1 HAVE_CPLUS_DEMANGLE=1 prefix=/usr all
Makefile:565: newt not found, disables TUI support. Please install newt-devel or libnewt-dev
PERF_VERSION = 2.6.35.9-64.fc14.x86_64
Makefile:565: newt not found, disables TUI support. Please install newt-devel or libnewt-dev
    * new build flags or prefix

Simple fix to make it required?

--- a/kernel.spec
+++ b/kernel.spec
@@ -501,7 +501,7 @@ BuildRequires: sparse >= 0.4.1
 %endif
 # python-devel and perl(ExtUtils::Embed) are required for perf scripting
 %if %{with_perf}
-BuildRequires: elfutils-devel zlib-devel binutils-devel python-devel perl(ExtUtils::Embed)
+BuildRequires: elfutils-devel zlib-devel binutils-devel python-devel perl(ExtUtils::Embed) newt-devel
 %endif
 BuildConflicts: rhbuildsys(DiskFree) < 500Mb

Comment 1 Kyle McMartin 2010-12-09 16:09:08 UTC
Yeah, oops, looks like I only fixed that in rawhide. Thanks for pointing it out.

Comment 2 Chuck Ebbert 2010-12-09 16:21:23 UTC
Fixed in 2.6.35.9-65

Comment 3 Fedora Update System 2010-12-17 15:10:29 UTC
kernel-2.6.35.10-68.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.10-68.fc14

Comment 4 Fedora Update System 2010-12-19 23:56:52 UTC
kernel-2.6.35.10-69.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.10-69.fc14

Comment 5 Fedora Update System 2010-12-21 13:55:30 UTC
kernel-2.6.35.10-72.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.10-72.fc14

Comment 6 Fedora Update System 2010-12-22 00:03:46 UTC
kernel-2.6.35.10-72.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kernel-2.6.35.10-72.fc14

Comment 7 Fedora Update System 2010-12-22 19:52:06 UTC
kernel-2.6.35.10-72.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.